# TODO: qtdemo? (LGPL v2.1+exception/GPL v3 licensed)
#
%define		orgname		qtdoc
%define		qtbase_ver	%{version}
%define		qttools_ver	%{version}
Summary:	The Qt5 qtdoc documentation module
Summary(pl.UTF-8):	Moduł dokumentacji Qt5 qtdoc
Name:		qt5-%{orgname}
Version:	5.15.2
Release:	2
License:	FDL v1.3
Group:		Documentation
Source0:	http://download.qt.io/official_releases/qt/5.15/%{version}/submodules/%{orgname}-everywhere-src-%{version}.tar.xz
# Source0-md5:	90de2911fa80c7668ec7289d5768e802
URL:		http://www.qt.io/
BuildRequires:	qt5-assistant >= %{qttools_ver}
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpmbuild(macros) >= 1.654
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt5 qtdoc package contains the main Qt Reference Documentation, which
includes overviews, Qt topics, and examples not specific to any Qt
module.

%description -l pl.UTF-8
Pakiet Qt5 qtdoc zawiera podstawową część dokumentacji referencyjnej
Qt, obejmującą artykuły przeglądowe, tematy związane z Qt oraz
przykłady niespecyficzne dla żadnego modułu Qt.

%package qch
Summary:	The Qt5 qtdoc documentation module - QCH format
Summary(pl.UTF-8):	Moduł dokumentacji Qt5 qtdoc - w formacie QCH
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}

%description qch
The Qt5 qtdoc documentation module - QCH format.

%description qch -l pl.UTF-8
Moduł dokumentacji Qt5 qtdoc - w formacie QCH.

%prep
%setup -q -n %{orgname}-everywhere-src-%{version}

%build
qmake-qt5
%{__make}
%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%{__make} install_docs \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README dist/changes-*
%{_docdir}/qt5-doc/qtcmake
%{_docdir}/qt5-doc/qtdoc

%files qch
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtcmake.qch
%{_docdir}/qt5-doc/qtdoc.qch
%changelog
* Wed Nov 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtdoc.git;a=log;h=master

* Wed Nov 25 2020 Jan Palus <atler@pld-linux.org> 2134b69
- release 2 (by relup.sh)

* Fri Nov 20 2020 Jan Palus <atler@pld-linux.org> 87ad7c3
- up to 5.15.2

* Thu Sep 10 2020 Jan Palus <atler@pld-linux.org> 113b69e
- up to 5.15.1

* Mon Jun 01 2020 Jan Palus <atler@pld-linux.org> bbc7c03
- up to 5.15.0

* Sat Apr 18 2020 Jan Palus <atler@pld-linux.org> 00b62a9
- up to 5.14.2

* Mon Jan 27 2020 Jan Palus <atler@pld-linux.org> 9fca54b
- up to 5.14.1

* Fri Dec 13 2019 Jan Palus <atler@pld-linux.org> 475ea43
- up to 5.14.0

* Mon Nov 04 2019 Jan Palus <atler@pld-linux.org> 364e687
- up to 5.13.2

* Wed Sep 25 2019 Jan Palus <atler@pld-linux.org> 66c64a6
- up to 5.13.1

* Thu Jun 20 2019 Jan Palus <atler@pld-linux.org> 27c083e
- up to 5.13.0

* Sun Apr 21 2019 Jan Palus <atler@pld-linux.org> eea1499
- up to 5.12.3

* Thu Mar 21 2019 Jan Palus <atler@pld-linux.org> dc7252b
- up to 5.12.2

* Sun Mar 03 2019 Jan Palus <atler@pld-linux.org> 9361188
- up to 5.12.1

* Mon Aug 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 46461ea
- up to 5.11.1

* Tue May 23 2017 Jan Rękorajski <baggins@pld-linux.org> e9061d7
- drop qch bcond, all docs require qtassistant now

* Wed May 17 2017 Jan Rękorajski <baggins@pld-linux.org> 2bfdede
- up to 5.8.0

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 9bbfb7b
- updated to 5.5.1

* Sat Jun 13 2015 Elan Ruusamäe <glen@delfi.ee> 7ba8d3c
- up to 5.4.2

* Tue Mar 03 2015 Jan Rękorajski <baggins@pld-linux.org> 5b999c3
- up to 5.4.1

* Fri Oct 17 2014 Jan Rękorajski <baggins@pld-linux.org> bd4a072
- up to 5.3.2

